## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           autolink-java
Version:        0.11.0
Release:        %autorelease
Summary:        Java library to extract links from plain text

License:        MIT
URL:            https://github.com/robinst/autolink-java
Source0:        %{url}/archive/autolink-%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  noarch %{java_arches}

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugins:maven-compiler-plugin)

%description
Autolink is a Java library to extract links such as URLs and email
addresses from plain text.  It's smart about where a link ends, such as
with trailing punctuation.

%javadoc_package

%prep
%autosetup -n %{name}-autolink-%{version}

# Not needed for an RPM build
%pom_remove_plugin com.github.siom79.japicmp:japicmp-maven-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-release-plugin
%pom_remove_plugin org.sonatype.plugins:nexus-staging-maven-plugin

# We do not want to run benchmarks
%pom_remove_dep org.openjdk.jmh:jmh-core
rm src/test/java/org/nibor/autolink/AutolinkBenchmark.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGELOG.md README.md
%license LICENSE

%changelog
* Tue Aug 29 2023 Jerry James <loganjerry@gmail.com> - 0.11.0-1
- Initial RPM
